import { jsx } from "react/jsx-runtime";
import { TokenETHW as TokenETHW$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenETHW = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "ETHW", "data-name": "TokenETHW", ...props, children: /* @__PURE__ */ jsx(TokenETHW$1, { variant }) });
  }
);
TokenETHW.displayName = "TokenETHW";
Object.assign(TokenETHW, { isGdsIcon: true });
export {
  TokenETHW
};
